package com.example.xmen_tp5_2324;

import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import androidx.appcompat.app.AppCompatActivity;
import java.util.List;
import com.example.xmen_tp5_2324.databinding.ActivityEditBinding;

public class EditActivity extends AppCompatActivity {
    private List<XMen> liste;
    //private EditXmenBinding ui;
    private ActivityEditBinding ui;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        // obtenir la liste
        super.onCreate(savedInstanceState);
        XMenApplication application = (XMenApplication) getApplication();
        liste = application.getListe();
        ui = ActivityEditBinding.inflate(getLayoutInflater());
        setContentView(ui.getRoot());
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.edit_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    /**
     * créer une nouvelle instance de XMen et la remplir avec les EditText de l'interface
     */


    public void onAccept(MenuItem item) {
        XMen xmen = new XMen();
        xmen.setNom(ui.editNom.getText().toString());
        xmen.setAlias(ui.editAlias.getText().toString());
        xmen.setPouvoirs(ui.editPouvoirs.getText().toString());
        xmen.setDescription(ui.editDesc.getText().toString());
        Intent intent = getIntent();
        int position = intent.getIntExtra("position",-1);
        if (position < 0)
            liste.add(xmen);
        else {
            liste.remove(position);
            liste.add(position, xmen);
        }
        setResult(RESULT_OK);
        finish();
    }
}